www.rtmj.net > 为什么大家要用VB6.0,而不用最新版的9.0啊?

为什么大家要用VB6.0,而不用最新版的9.0啊?

因为VB6.0已经比较好用了,9.0是出来不久,可能有一些问题,用软件需要的就是稳定性,补稳定的平台是很让人头疼的,另外新的平台会有一些心得改变,VB也只是一个一般过渡语言,不会特别的钻研,所以,,,,

vfp6和vfp9编译的可执行程序只能在安装了各自运行库的情况下运行,比如安装了vfp9,但是vfp6编译的可执行程序就不能运行.因为vfp在编译可执行程序时,将vfp的版本信息编译了进去.vfp6是vfp的巅峰时期,用vfp6做的程序很多.

进步发展是必然趋势,淘汰与否,是相对的.CPU进入到64位,从而操作系统以及其他软件也会进入64位时代,你如果要让VB6开发的软件,在这些计算机里运行,就比较困难.我的办法是,安装虚拟机系统.还有一个办法就是,为了使用你的软件,那么计算机就继续安装Windows XP操作系统.当然,费点时间,把你的VB6开发的软件,升级用VB.NET开发,是理想的选择.我说个实例,听朋友说美国某公司,到现在为止,还在使用DOS系统支持下的 Fox数据库管理系统,因为该系统是公司的一位高官开发的,而这位高官还没有退休呢!哈哈!

vc+6.0是目前vc的最高版本.可能你听说过vc7.0等版本,但是那个事集成在.net的ie中的.如果再浪费很打存储区装一个.net,而你却只要用vc的话,感觉很不合算的.

现在最高是 vb.net2008 以前还有vb.net2003 vb.net2005

劝你还是学习VB.Net或者C#吧,那个做桌面更有市场.

最新的应该是9.0(有内部消息,但是没有公布,也没有beta)vb6到vb.net按照微软的说法是进行了浴火重生般的改革,个人感觉有非常大的改变我的建议是,学.net当然,请您自己定夺对补充的回答两者语法差别不大,但是原理和程序的整体结构都有很大的差别我个人觉得,如果不是为了考级,应该过时了

win7是完全支持vb6 哪个版本都行

精简版去掉了很多外接控件.而这些控件恰恰是vb的精髓所在.不建议你用精简版,除非是应急.

它们在参数是正数的时候没有区别只有当参数是负数的时候才有差别 ,比如 int(4.1)=4 int(4.8)=4 int(-4.1)=-5 int(-4.8)=-5 而 fix函数,如 fix(4.1)=4 fix(4.8)=4 fix(-4.1)=-4 fix(-4.8)=-4 Int 和 Fix 函数都移除 Number 的小数部分并返回得到的整数值.

相关搜索:

网站地图

All rights reserved Powered by www.rtmj.net

copyright ©right 2010-2021。
www.rtmj.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com